Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Gentoo Catalyst (http://www.linux-archive.org/gentoo-catalyst/)
-   -   stage3 build failing because of python3 (http://www.linux-archive.org/gentoo-catalyst/378157-stage3-build-failing-because-python3.html)

Graham Murray 05-29-2010 08:10 AM

stage3 build failing because of python3
 
dev-lang/python-3.1.2-r3 has been stabilised, but python-2.6 is still
the 'active' interpretter and is used by portage when building outside
catalyst. However catalyst is using python-3.1 in its chroot when
building stages. On an amd64 system, stages 1 & 2 built with no problems
but the stage3 build is failing to build cracklib with a python error

x86_64-pc-linux-gnu-gcc -shared .libs/_cracklibmodule.o -L/var/tmp/portage/sys-libs/cracklib-2.8.15/image//usr/lib64 -L/usr/lib64 -lcrack -lpython3.1 -lz -march=nocona -Wl,-O1 -Wl,-soname -Wl,_cracklibmodule.so -o .libs/_cracklibmodule.so
/usr/bin/install -c .libs/_cracklibmodule.soT /var/tmp/portage/sys-libs/cracklib-2.8.15/image//usr/lib64/python3.1/site-packages/_cracklibmodule.so
/usr/bin/install -c .libs/_cracklibmodule.lai /var/tmp/portage/sys-libs/cracklib-2.8.15/image//usr/lib64/python3.1/site-packages/_cracklibmodule.la
/usr/bin/install -c .libs/_cracklibmodule.a /var/tmp/portage/sys-libs/cracklib-2.8.15/image//usr/lib64/python3.1/site-packages/_cracklibmodule.a
chmod 644 /var/tmp/portage/sys-libs/cracklib-2.8.15/image//usr/lib64/python3.1/site-packages/_cracklibmodule.a
x86_64-pc-linux-gnu-ranlib /var/tmp/portage/sys-libs/cracklib-2.8.15/image//usr/lib64/python3.1/site-packages/_cracklibmodule.a
libtool: install: warning: remember to run `libtool --finish /usr/lib64/python3.1/site-packages'
test -z "/usr/lib64/python3.1/site-packages" || /bin/mkdir -p "/var/tmp/portage/sys-libs/cracklib-2.8.15/image//usr/lib64/python3.1/site-packages"
/usr/bin/install -c -m 644 'cracklib.py' '/var/tmp/portage/sys-libs/cracklib-2.8.15/image//usr/lib64/python3.1/site-packages/cracklib.py'
File "<string>", line 6
print 'Byte-compiling python modules...'
^
SyntaxError: invalid syntax
make[2]: *** [install-pythonPYTHON] Error 1


All times are GMT. The time now is 08:31 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.